# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Fcntl.pm) perl(Moose/Util/TypeConstraints.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-POE-Component-Server-SimpleHTTP
# Use two digit pricision since 2.04 version
Version:        2.16
Release:        alt1_2
Summary:        Serve HTTP requests in POE
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/POE-Component-Server-SimpleHTTP/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/POE-Component-Server-SimpleHTTP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTTP/Date.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/AttributeHelpers.pm)
BuildRequires:  perl(MooseX/POE.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Component/Client/HTTP.pm)
BuildRequires:  perl(POE/Component/SSLify.pm)
BuildRequires:  perl(POE/Filter/HTTP/Parser.pm)
BuildRequires:  perl(POE/Filter/HTTPD.pm)
BuildRequires:  perl(POE/Filter/Stream.pm)
BuildRequires:  perl(POE/Kernel.pm)
BuildRequires:  perl(POE/Wheel/ReadWrite.pm)
BuildRequires:  perl(POE/Wheel/SocketFactory.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(Sys/Hostname.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/POE/Client/TCP.pm)
# optional tests
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:       perl(HTTP/Request.pm)
Requires:       perl(Moose.pm) >= 0.81
Requires:       perl(MooseX/POE.pm) >= 0.205
Requires:       perl(POE.pm) >= 1.0
Requires:       perl(Storable.pm)
Requires:       perl(Sys/Hostname.pm)





Source44: import.info
%filter_from_requires /^^perl\\(Moose\\)/d
%filter_from_requires /^^perl\\(MooseX::POE\\)/d
%filter_from_requires /^^perl\\(POE\\)/d

%description
This module makes serving up HTTP requests a breeze in POE.

%prep
%setup -q -n POE-Component-Server-SimpleHTTP-%{version}
sed -i 's/\r//' examples/*

%build
yes | %{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes examples/
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.16-alt1_2
- update to new release by fcimport

* Sat Nov 10 2012 Igor Vlasenko <viy@altlinux.ru> 2.16-alt1_1
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.14-alt1_3
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 2.14-alt1_1
- fc import

